diff --git a/gcc/analyzer/store.cc b/gcc/analyzer/store.cc
index b40491ee5b5..1312a01d5f0 100644
--- a/gcc/analyzer/store.cc
+++ b/gcc/analyzer/store.cc
@@ -75,7 +75,7 @@ const char *binding_kind_to_string (enum binding_kind kind)
 /* class binding_key.  */
 
 const binding_key *
-binding_key::make (store_manager *mgr, const region2 *r,
+binding_key::make (store_manager *mgr, const region *r,
 		   enum binding_kind kind)
 {
   region_offset offset = r->get_offset ();
@@ -136,7 +136,7 @@ int
 binding_key::cmp (const binding_key *k1, const binding_key *k2)
 {
 #if 0
-  if (int reg_cmp = region2::cmp_ids (k1->m_region, k2->m_region))
+  if (int reg_cmp = region::cmp_ids (k1->m_region, k2->m_region))
     return reg_cmp;
 #endif
   enum binding_kind kind1 = k1->get_kind ();
@@ -220,7 +220,7 @@ symbolic_binding::dump_to_pp (pretty_printer *pp, bool simple) const
        = MEM <unsigned char[4096]> [(char * {ref-all})&src];
    Using cast_region when handling the MEM_REF would give us:
      INIT_VAL(CAST_REG(unsigned char[4096], src))
-   as rhs_sval, but we can fold that into a cast svalue2:
+   as rhs_sval, but we can fold that into a cast svalue:
      CAST(unsigned char[4096], INIT_VAL(src))
    We can discard that cast from the svalue when binding it in
    the store for "dst", and simply store:
@@ -229,10 +229,10 @@ symbolic_binding::dump_to_pp (pretty_printer *pp, bool simple) const
        value: ‘struct big’ {INIT_VAL(src)}
    FIXME: should we only do this if the sizes are the same?  */
 
-static const svalue2 *
-simplify_for_binding (const svalue2 *sval)
+static const svalue *
+simplify_for_binding (const svalue *sval)
 {
-  if (const svalue2 *cast_sval = sval->maybe_undo_cast ())
+  if (const svalue *cast_sval = sval->maybe_undo_cast ())
     sval = cast_sval;
   return sval;
 }
@@ -257,7 +257,7 @@ binding_map::operator=(const binding_map &other)
        ++iter)
     {
       const binding_key *key = (*iter).first;
-      const svalue2 *sval = (*iter).second;
+      const svalue *sval = (*iter).second;
       m_map.put (key, sval);
     }
   return *this;
@@ -274,8 +274,8 @@ binding_map::operator== (const binding_map &other) const
   for (map_t::iterator iter = m_map.begin (); iter != m_map.end (); ++iter)
     {
       const binding_key *key = (*iter).first;
-      const svalue2 *sval = (*iter).second;
-      const svalue2 **other_slot
+      const svalue *sval = (*iter).second;
+      const svalue **other_slot
 	= const_cast <map_t &> (other.m_map).get (key);
       if (other_slot == NULL)
 	return false;
@@ -304,7 +304,7 @@ binding_map::dump_to_pp (pretty_printer *pp, bool simple,
   unsigned i;
   FOR_EACH_VEC_ELT (binding_keys, i, key)
     {
-      const svalue2 *value = *const_cast <map_t &> (m_map).get (key);
+      const svalue *value = *const_cast <map_t &> (m_map).get (key);
       if (multiline)
 	{
 	  pp_string (pp, "    key:   {");
@@ -346,11 +346,11 @@ binding_map::dump (bool simple) const
   pp_flush (&pp);
 }
 
-/* class binding_cluster2.  */
+/* class binding_cluster.  */
 
 /* FIXME.  */
 
-binding_cluster2::binding_cluster2 (const binding_cluster2 &other)
+binding_cluster::binding_cluster (const binding_cluster &other)
 : m_base_region (other.m_base_region), m_map (other.m_map),
   m_escaped (other.m_escaped), m_touched (other.m_touched)
 {
@@ -358,8 +358,8 @@ binding_cluster2::binding_cluster2 (const binding_cluster2 &other)
 
 /* FIXME.  */
 
-binding_cluster2&
-binding_cluster2::operator= (const binding_cluster2 &other)
+binding_cluster&
+binding_cluster::operator= (const binding_cluster &other)
 {
   gcc_assert (m_base_region == other.m_base_region);
   m_map = other.m_map;
@@ -371,7 +371,7 @@ binding_cluster2::operator= (const binding_cluster2 &other)
 /* FIXME.  */
 
 bool
-binding_cluster2::operator== (const binding_cluster2 &other) const
+binding_cluster::operator== (const binding_cluster &other) const
 {
   if (m_map != other.m_map)
     return false;
@@ -384,16 +384,16 @@ binding_cluster2::operator== (const binding_cluster2 &other) const
 /* FIXME.  */
 
 bool
-binding_cluster2::symbolic_p () const
+binding_cluster::symbolic_p () const
 {
-  return m_base_region->get_kind () == region2::RK_SYMBOLIC;
+  return m_base_region->get_kind () == region::RK_SYMBOLIC;
 }
 
 /* FIXME.  */
 
 void
-binding_cluster2::dump_to_pp (pretty_printer *pp, bool simple,
-			      bool multiline) const
+binding_cluster::dump_to_pp (pretty_printer *pp, bool simple,
+			     bool multiline) const
 {
   if (m_escaped)
     {
@@ -419,10 +419,10 @@ binding_cluster2::dump_to_pp (pretty_printer *pp, bool simple,
   m_map.dump_to_pp (pp, simple, multiline);
 }
 
-/* Dump a multiline representation of this binding_cluster2 to stderr.  */
+/* Dump a multiline representation of this binding_cluster to stderr.  */
 
 DEBUG_FUNCTION void
-binding_cluster2::dump (bool simple) const
+binding_cluster::dump (bool simple) const
 {
   pretty_printer pp;
   pp_format_decoder (&pp) = default_tree_printer;
@@ -440,12 +440,12 @@ binding_cluster2::dump (bool simple) const
 /* FIXME.  */
 
 void
-binding_cluster2::bind (store_manager *mgr,
-			const region2 *reg, const svalue2 *sval,
-			binding_kind kind)
+binding_cluster::bind (store_manager *mgr,
+		       const region *reg, const svalue *sval,
+		       binding_kind kind)
 {
-  if (const compound_svalue2 *compound_sval
-	= sval->dyn_cast_compound_svalue2 ())
+  if (const compound_svalue *compound_sval
+	= sval->dyn_cast_compound_svalue ())
     {
       bind_compound_sval (mgr, reg, compound_sval);
       return;
@@ -458,24 +458,24 @@ binding_cluster2::bind (store_manager *mgr,
 /* FIXME.  */
 
 void
-binding_cluster2::bind_key (const binding_key *key, const svalue2 *sval)
+binding_cluster::bind_key (const binding_key *key, const svalue *sval)
 {
-  /* Unpacking of compound_svalue2 should have been done by now.  */
-  gcc_assert (sval->get_kind () != svalue2::SK_COMPOUND);
+  /* Unpacking of compound_svalue should have been done by now.  */
+  gcc_assert (sval->get_kind () != svalue::SK_COMPOUND);
 
   m_map.put (key, sval);
   if (key->symbolic_p ())
     m_touched = true;
 }
 
-/* Subroutine of binding_cluster2::bind.
+/* Subroutine of binding_cluster::bind.
    Unpack compound_svals when binding them, so that we bind them
    element-wise.  */
 
 void
-binding_cluster2::bind_compound_sval (store_manager *mgr,
-				      const region2 *reg,
-				      const compound_svalue2 *compound_sval)
+binding_cluster::bind_compound_sval (store_manager *mgr,
+				     const region *reg,
+				     const compound_svalue *compound_sval)
 {
   region_offset reg_offset = reg->get_offset ();
   if (reg_offset.symbolic_p ())
@@ -493,7 +493,7 @@ binding_cluster2::bind_compound_sval (store_manager *mgr,
        iter != compound_sval->end (); ++iter)
     {
       const binding_key *iter_key = (*iter).first;
-      const svalue2 *iter_sval = (*iter).second;
+      const svalue *iter_sval = (*iter).second;
 
       if (const concrete_binding *concrete_key
 	  = iter_key->dyn_cast_concrete_binding ())
@@ -515,7 +515,7 @@ binding_cluster2::bind_compound_sval (store_manager *mgr,
 /* Remove all bindings affecting REG within this cluster.  */
 
 void
-binding_cluster2::clobber_region (store_manager *mgr, const region2 *reg)
+binding_cluster::clobber_region (store_manager *mgr, const region *reg)
 {
   remove_overlapping_bindings (mgr, reg);
 }
@@ -523,11 +523,11 @@ binding_cluster2::clobber_region (store_manager *mgr, const region2 *reg)
 /* FIXME.  */
 
 void
-binding_cluster2::purge_region (store_manager *mgr, const region2 *reg)
+binding_cluster::purge_region (store_manager *mgr, const region *reg)
 {
-  gcc_assert (reg->get_kind () == region2::RK_DECL);
+  gcc_assert (reg->get_kind () == region::RK_DECL);
   const binding_key *binding
-    = binding_key::make (mgr, const_cast<region2 *> (reg),
+    = binding_key::make (mgr, const_cast<region *> (reg),
 			 BK_direct);
   m_map.remove (binding);
 }
@@ -537,15 +537,15 @@ binding_cluster2::purge_region (store_manager *mgr, const region2 *reg)
    TOUCHED flag.  */
 
 void
-binding_cluster2::zero_fill_region (store_manager *mgr, const region2 *reg)
+binding_cluster::zero_fill_region (store_manager *mgr, const region *reg)
 {
   clobber_region (mgr, reg);
 
   /* Add a default binding to zero.  */
-  region_model2_manager *sval_mgr = mgr->get_svalue2_manager ();
+  region_model_manager *sval_mgr = mgr->get_svalue_manager ();
   tree cst_zero = build_int_cst (integer_type_node, 0);
-  const svalue2 *cst_sval = sval_mgr->get_or_create_constant_svalue2 (cst_zero);
-  const svalue2 *bound_sval = cst_sval;
+  const svalue *cst_sval = sval_mgr->get_or_create_constant_svalue (cst_zero);
+  const svalue *bound_sval = cst_sval;
   if (reg->get_type ())
     bound_sval = sval_mgr->get_or_create_unaryop (reg->get_type (), NOP_EXPR,
 						  cst_sval);
@@ -558,27 +558,27 @@ binding_cluster2::zero_fill_region (store_manager *mgr, const region2 *reg)
 /* FIXME.  */
 
 void
-binding_cluster2::mark_region_as_unknown (store_manager *mgr,
-					  const region2 *reg)
+binding_cluster::mark_region_as_unknown (store_manager *mgr,
+					 const region *reg)
 {
   remove_overlapping_bindings (mgr, reg);
 
   /* Add a default binding to "unknown".  */
-  region_model2_manager *sval_mgr = mgr->get_svalue2_manager ();
-  const svalue2 *sval
-    = sval_mgr->get_or_create_unknown_svalue2 (reg->get_type ());
+  region_model_manager *sval_mgr = mgr->get_svalue_manager ();
+  const svalue *sval
+    = sval_mgr->get_or_create_unknown_svalue (reg->get_type ());
   bind (mgr, reg, sval, BK_default);
 }
 
 /* FIXME.  */
 
-const svalue2 *
-binding_cluster2::get_binding (store_manager *mgr,
-			       const region2 *reg,
-			       binding_kind kind) const
+const svalue *
+binding_cluster::get_binding (store_manager *mgr,
+			      const region *reg,
+			      binding_kind kind) const
 {
   const binding_key *reg_binding = binding_key::make (mgr, reg, kind);
-  const svalue2 *sval = m_map.get (reg_binding);
+  const svalue *sval = m_map.get (reg_binding);
   if (sval)
     {
       /* If we have a struct with a single field, then the binding of
@@ -591,8 +591,8 @@ binding_cluster2::get_binding (store_manager *mgr,
 	 expressing the lookups as subvalues.
 	 We have to gather a list of subregion accesses, then walk it
 	 in reverse to get the subvalues.  */
-      auto_vec<const region2 *> regions;
-      while (const region2 *parent_reg = reg->get_parent_region ())
+      auto_vec<const region *> regions;
+      while (const region *parent_reg = reg->get_parent_region ())
 	{
 	  const binding_key *parent_reg_binding
 	    = binding_key::make (mgr, parent_reg, kind);
@@ -612,12 +612,12 @@ binding_cluster2::get_binding (store_manager *mgr,
 	  && sval->get_type () == reg->get_type ())
 	{
 	  unsigned i;
-	  const region2 *iter_reg;
+	  const region *iter_reg;
 	  FOR_EACH_VEC_ELT_REVERSE (regions, i, iter_reg)
 	    {
-	      region_model2_manager *rmm_mgr = mgr->get_svalue2_manager ();
-	      sval = rmm_mgr->get_or_create_sub_svalue2 (reg->get_type (),
-							 sval, iter_reg);
+	      region_model_manager *rmm_mgr = mgr->get_svalue_manager ();
+	      sval = rmm_mgr->get_or_create_sub_svalue (reg->get_type (),
+							sval, iter_reg);
 	    }
 	}
     }
@@ -626,31 +626,31 @@ binding_cluster2::get_binding (store_manager *mgr,
 
 /* FIXME.  */
 
-const svalue2 *
-binding_cluster2::get_binding_recursive (store_manager *mgr,
-					 const region2 *reg,
-					 enum binding_kind kind) const
+const svalue *
+binding_cluster::get_binding_recursive (store_manager *mgr,
+					const region *reg,
+					enum binding_kind kind) const
 {
-  if (const svalue2 *sval = get_binding (mgr, reg, kind))
+  if (const svalue *sval = get_binding (mgr, reg, kind))
     return sval;
   if (reg != m_base_region)
-    if (const region2 *parent_reg = reg->get_parent_region ())
-      if (const svalue2 *parent_sval
+    if (const region *parent_reg = reg->get_parent_region ())
+      if (const svalue *parent_sval
 	  = get_binding_recursive (mgr, parent_reg, kind))
 	{
 	  /* Extract child svalue from parent svalue.  */
-	  region_model2_manager *rmm_mgr = mgr->get_svalue2_manager ();
-	  return rmm_mgr->get_or_create_sub_svalue2 (reg->get_type (),
-						     parent_sval, reg);
+	  region_model_manager *rmm_mgr = mgr->get_svalue_manager ();
+	  return rmm_mgr->get_or_create_sub_svalue (reg->get_type (),
+						    parent_sval, reg);
 	}
   return NULL;
 }
 
 /* FIXME.  */
 
-const svalue2 *
-binding_cluster2::get_any_binding (store_manager *mgr,
-				   const region2 *reg) const
+const svalue *
+binding_cluster::get_any_binding (store_manager *mgr,
+				  const region *reg) const
 {
   /* FIXME:  I'm not quite sure how this should work.
      This looks recursively for matches for a "direct" binding,
@@ -661,13 +661,13 @@ binding_cluster2::get_any_binding (store_manager *mgr,
      But when should bindings be default, and when should they be direct?
      The code uses "default" for things that are typically a parent
      region, and "direct" elsewhere.  */
-  if (const svalue2 *direct_sval
+  if (const svalue *direct_sval
       = get_binding_recursive (mgr, reg, BK_direct))
     return direct_sval;
 
   /* Don't use "default" bindings if there's been a symbolic write.  */
   if (!m_touched)
-    if (const svalue2 *default_sval
+    if (const svalue *default_sval
 	= get_binding_recursive (mgr, reg, BK_default))
       return default_sval;
 
@@ -675,32 +675,32 @@ binding_cluster2::get_any_binding (store_manager *mgr,
      of any subregion not currently specifically bound is "UNKNOWN".  */
   if (m_touched)
     {
-      region_model2_manager *rmm_mgr = mgr->get_svalue2_manager ();
-      return rmm_mgr->get_or_create_unknown_svalue2 (reg->get_type ());
+      region_model_manager *rmm_mgr = mgr->get_svalue_manager ();
+      return rmm_mgr->get_or_create_unknown_svalue (reg->get_type ());
     }
 
   /* TODO: WIP.  */
-  if (const svalue2 *compound_sval = maybe_get_compound_binding (mgr, reg))
+  if (const svalue *compound_sval = maybe_get_compound_binding (mgr, reg))
     return compound_sval;
 
   /* Otherwise, the initial value, or uninitialized.  */
   return NULL;
 }
 
-/* Attempt to get a compound_svalue2 for the bindings within the cluster
+/* Attempt to get a compound_svalue for the bindings within the cluster
    affecting REG (which could be the base region itself).
 
-   Create a compound_svalue2 with the subset of bindings the affect REG,
+   Create a compound_svalue with the subset of bindings the affect REG,
    offsetting them so that the offsets are relative to the start of REG
    within the cluster.
 
    For example, REG could be one element within an array of structs.
 
-   Return the resulting compound_svalue2, or NULL if there's a problem.  */
+   Return the resulting compound_svalue, or NULL if there's a problem.  */
 
-const svalue2 *
-binding_cluster2::maybe_get_compound_binding (store_manager *mgr,
-					      const region2 *reg) const
+const svalue *
+binding_cluster::maybe_get_compound_binding (store_manager *mgr,
+					     const region *reg) const
 {
   binding_map map;
 
@@ -714,7 +714,7 @@ binding_cluster2::maybe_get_compound_binding (store_manager *mgr,
   for (map_t::iterator iter = m_map.begin (); iter != m_map.end (); ++iter)
     {
       const binding_key *key = (*iter).first;
-      const svalue2 *sval = (*iter).second;
+      const svalue *sval = (*iter).second;
 
       if (const concrete_binding *concrete_key
 	  = key->dyn_cast_concrete_binding ())
@@ -747,17 +747,17 @@ binding_cluster2::maybe_get_compound_binding (store_manager *mgr,
   if (map.elements () == 0)
     return NULL;
 
-  region_model2_manager *sval_mgr = mgr->get_svalue2_manager ();
-  return sval_mgr->get_or_create_compound_svalue2 (reg->get_type (), map);
+  region_model_manager *sval_mgr = mgr->get_svalue_manager ();
+  return sval_mgr->get_or_create_compound_svalue (reg->get_type (), map);
 }
 
 
 /* Populate OUT with all bindings within this cluster that overlap REG.  */
 
 void
-binding_cluster2::get_overlapping_bindings (store_manager *mgr,
-					    const region2 *reg,
-					    auto_vec<const binding_key *> *out)
+binding_cluster::get_overlapping_bindings (store_manager *mgr,
+					   const region *reg,
+					   auto_vec<const binding_key *> *out)
 {
   /* Get the size of REG.  */
   // TODO
@@ -794,8 +794,8 @@ binding_cluster2::get_overlapping_bindings (store_manager *mgr,
 /* FIXME.  */
 
 void
-binding_cluster2::remove_overlapping_bindings (store_manager *mgr,
-					       const region2 *reg)
+binding_cluster::remove_overlapping_bindings (store_manager *mgr,
+					      const region *reg)
 {
   auto_vec<const binding_key *> bindings;
   get_overlapping_bindings (mgr, reg, &bindings);
@@ -823,11 +823,11 @@ binding_cluster2::remove_overlapping_bindings (store_manager *mgr,
 /* FIXME.  */
 
 bool
-binding_cluster2::can_merge_p (const binding_cluster2 *cluster_a,
-			       const binding_cluster2 *cluster_b,
-			       binding_cluster2 *out_cluster,
-			       store_manager *mgr,
-			       model2_merger *merger)
+binding_cluster::can_merge_p (const binding_cluster *cluster_a,
+			      const binding_cluster *cluster_b,
+			      binding_cluster *out_cluster,
+			      store_manager *mgr,
+			      model_merger *merger)
 {
   gcc_assert (out_cluster);
 
@@ -879,8 +879,8 @@ binding_cluster2::can_merge_p (const binding_cluster2 *cluster_a,
        iter != keys.end (); ++iter)
     {
       const binding_key *key = *iter;
-      const svalue2 *sval_a = cluster_a->get_any_value (key);
-      const svalue2 *sval_b = cluster_b->get_any_value (key);
+      const svalue *sval_a = cluster_a->get_any_value (key);
+      const svalue *sval_b = cluster_b->get_any_value (key);
 
       if (sval_a == sval_b)
 	{
@@ -890,8 +890,8 @@ binding_cluster2::can_merge_p (const binding_cluster2 *cluster_a,
 	}
       else if (sval_a && sval_b)
 	{
-	  region_model2_manager *sval_mgr = mgr->get_svalue2_manager ();
-	  if (const svalue2 *merged_sval
+	  region_model_manager *sval_mgr = mgr->get_svalue_manager ();
+	  if (const svalue *merged_sval
 	      = sval_a->can_merge_p (sval_b, sval_mgr, merger))
 	    {
 	      out_cluster->m_map.put (key, merged_sval);
@@ -905,8 +905,8 @@ binding_cluster2::can_merge_p (const binding_cluster2 *cluster_a,
 	 doesn't; merge them as "UNKNOWN".  */
       gcc_assert (sval_a || sval_b);
       tree type = sval_a ? sval_a->get_type () : sval_b->get_type ();
-      const svalue2 *unknown_sval
-	= mgr->get_svalue2_manager ()->get_or_create_unknown_svalue2 (type);
+      const svalue *unknown_sval
+	= mgr->get_svalue_manager ()->get_or_create_unknown_svalue (type);
       out_cluster->m_map.put (key, unknown_sval);
     }
   // FIXME: what about overlaps?
@@ -921,16 +921,16 @@ binding_cluster2::can_merge_p (const binding_cluster2 *cluster_a,
    Any bound keys in OTHER should be bound to unknown in this.  */
 
 void
-binding_cluster2::make_unknown_relative_to (const binding_cluster2 *other,
-					    store_manager *mgr)
+binding_cluster::make_unknown_relative_to (const binding_cluster *other,
+					   store_manager *mgr)
 {
   for (map_t::iterator iter = other->m_map.begin ();
        iter != other->m_map.end (); ++iter)
     {
       const binding_key *iter_key = (*iter).first;
-      const svalue2 *iter_sval = (*iter).second;
-      const svalue2 *unknown_sval
-	= mgr->get_svalue2_manager ()->get_or_create_unknown_svalue2
+      const svalue *iter_sval = (*iter).second;
+      const svalue *unknown_sval
+	= mgr->get_svalue_manager ()->get_or_create_unknown_svalue
 	  (iter_sval->get_type ());
       m_map.put (iter_key, unknown_sval);
     }
@@ -939,7 +939,7 @@ binding_cluster2::make_unknown_relative_to (const binding_cluster2 *other,
 /* Mark this cluster as having escaped.  */
 
 void
-binding_cluster2::mark_as_escaped ()
+binding_cluster::mark_as_escaped ()
 {
   /* TODO: but maybe not if it's a global?
      they have automatically escaped already, and we want to be able
@@ -953,11 +953,11 @@ binding_cluster2::mark_as_escaped ()
 /* If this cluster has escaped (by this call, or by an earlier one, or
    by being an external param), then unbind all values and mark it
    as "touched", so that it has an unknown value, rather than an
-   initial_svalue2.  */
+   initial_svalue.  */
 
 void
-binding_cluster2::on_unknown_fncall (const gcall *call,
-				     store_manager *mgr)
+binding_cluster::on_unknown_fncall (const gcall *call,
+				    store_manager *mgr)
 {
   if (m_escaped)
     {
@@ -965,8 +965,8 @@ binding_cluster2::on_unknown_fncall (const gcall *call,
 
 #if CONJURED_VALUES_FOR_UNKNOWN_FNCALLS
       // TODO: bind it to a new "conjured" value using CALL
-      const svalue2 *sval
-	= mgr->get_svalue2_manager ()->get_or_create_conjured_svalue2
+      const svalue *sval
+	= mgr->get_svalue_manager ()->get_or_create_conjured_svalue
 	    (m_base_region->get_type (), call, m_base_region);
       bind (mgr, m_base_region, sval, BK_direct);
 #endif
@@ -975,12 +975,12 @@ binding_cluster2::on_unknown_fncall (const gcall *call,
     }
 }
 
-/* Return true if this binding_cluster2 has no information
+/* Return true if this binding_cluster has no information
    i.e. if there are no bindings, and it hasn't been marked as having
    escaped, or touched symbolically.  */
 
 bool
-binding_cluster2::redundant_p () const
+binding_cluster::redundant_p () const
 {
   return (m_map.elements () == 0
 	  && !m_escaped
@@ -991,11 +991,11 @@ binding_cluster2::redundant_p () const
    appending the results to OUT_PVS.  */
 
 void
-binding_cluster2::get_representative_path_vars (const region_model2 *model,
-						hash_set <const svalue2 *> *visited,
-						const region2 *base_reg,
-						const svalue2 *sval,
-						auto_vec<path_var> *out_pvs)
+binding_cluster::get_representative_path_vars (const region_model *model,
+					       hash_set <const svalue *> *visited,
+					       const region *base_reg,
+					       const svalue *sval,
+					       auto_vec<path_var> *out_pvs)
   const
 {
   sval = simplify_for_binding (sval);
@@ -1003,13 +1003,13 @@ binding_cluster2::get_representative_path_vars (const region_model2 *model,
   for (map_t::iterator iter = m_map.begin (); iter != m_map.end (); ++iter)
     {
       const binding_key *key = (*iter).first;
-      const svalue2 *bound_sval = (*iter).second;
+      const svalue *bound_sval = (*iter).second;
       if (bound_sval == sval)
 	{
 	  if (const concrete_binding *ckey
 		= key->dyn_cast_concrete_binding ())
 	    {
-	      auto_vec <const region2 *> subregions;
+	      auto_vec <const region *> subregions;
 	      base_reg->get_subregions_for_binding
 		(model->get_manager (),
 		 ckey->get_start_bit_offset (),
@@ -1017,7 +1017,7 @@ binding_cluster2::get_representative_path_vars (const region_model2 *model,
 		 sval->get_type (),
 		 &subregions);
 	      unsigned i;
-	      const region2 *subregion;
+	      const region *subregion;
 	      FOR_EACH_VEC_ELT (subregions, i, subregion)
 		{
 		  if (path_var pv
@@ -1040,8 +1040,8 @@ binding_cluster2::get_representative_path_vars (const region_model2 *model,
 
 /* FIXME.  */
 
-const svalue2 *
-binding_cluster2::get_any_value (const binding_key *key) const
+const svalue *
+binding_cluster::get_any_value (const binding_key *key) const
 {
   return m_map.get (key);
 }
@@ -1050,8 +1050,8 @@ binding_cluster2::get_any_value (const binding_key *key) const
    return it.
    For use in simplifying dumps.  */
 
-const svalue2 *
-binding_cluster2::maybe_get_simple_value (store_manager *mgr) const
+const svalue *
+binding_cluster::maybe_get_simple_value (store_manager *mgr) const
 {
   /* Fail gracefully if MGR is NULL to make it easier to dump store
      instances in the debugger.  */
@@ -1080,7 +1080,7 @@ store_manager::get_concrete_binding (bit_offset_t start_bit_offset,
 }
 
 const symbolic_binding *
-store_manager::get_symbolic_binding (const region2 *reg,
+store_manager::get_symbolic_binding (const region *reg,
 				     enum binding_kind kind)
 {
   symbolic_binding *b = new symbolic_binding (reg, kind);
@@ -1106,11 +1106,11 @@ store::store (const store &other)
        iter != other.m_cluster_map.end ();
        ++iter)
     {
-      const region2 *reg = (*iter).first;
+      const region *reg = (*iter).first;
       gcc_assert (reg);
-      binding_cluster2 *c = (*iter).second;
+      binding_cluster *c = (*iter).second;
       gcc_assert (c);
-      m_cluster_map.put (reg, new binding_cluster2 (*c));
+      m_cluster_map.put (reg, new binding_cluster (*c));
     }
 }
 
@@ -1143,11 +1143,11 @@ store::operator= (const store &other)
        iter != other.m_cluster_map.end ();
        ++iter)
     {
-      const region2 *reg = (*iter).first;
+      const region *reg = (*iter).first;
       gcc_assert (reg);
-      binding_cluster2 *c = (*iter).second;
+      binding_cluster *c = (*iter).second;
       gcc_assert (c);
-      m_cluster_map.put (reg, new binding_cluster2 (*c));
+      m_cluster_map.put (reg, new binding_cluster (*c));
     }
   return *this;
 }
@@ -1167,9 +1167,9 @@ store::operator== (const store &other) const
        iter != m_cluster_map.end ();
        ++iter)
     {
-      const region2 *reg = (*iter).first;
-      binding_cluster2 *c = (*iter).second;
-      binding_cluster2 **other_slot
+      const region *reg = (*iter).first;
+      binding_cluster *c = (*iter).second;
+      binding_cluster **other_slot
 	= const_cast <cluster_map_t &> (other.m_cluster_map).get (reg);
       if (other_slot == NULL)
 	return false;
@@ -1182,27 +1182,27 @@ store::operator== (const store &other) const
 /* FIXME.  */
 
 static void
-get_sorted_parent_regions (auto_vec<const region2 *> *out,
-			   auto_vec<const region2 *> &in)
+get_sorted_parent_regions (auto_vec<const region *> *out,
+			   auto_vec<const region *> &in)
 {
   /* Get the set of parent regions.  */
-  hash_set<const region2 *> parent_regions;
-  const region2 *iter_reg;
+  hash_set<const region *> parent_regions;
+  const region *iter_reg;
   unsigned i;
   FOR_EACH_VEC_ELT (in, i, iter_reg)
     {
-      const region2 *parent_reg = iter_reg->get_parent_region ();
+      const region *parent_reg = iter_reg->get_parent_region ();
       gcc_assert (parent_reg);
       parent_regions.add (parent_reg);
     }
 
   /* Write to OUT.  */
-  for (hash_set<const region2 *>::iterator iter = parent_regions.begin();
+  for (hash_set<const region *>::iterator iter = parent_regions.begin();
        iter != parent_regions.end(); ++iter)
     out->safe_push (*iter);
 
   /* Sort OUT.  */
-  out->qsort (region2::cmp_ptrs);
+  out->qsort (region::cmp_ptrs);
 }
 
 /* FIXME.
@@ -1214,21 +1214,21 @@ store::dump_to_pp (pretty_printer *pp, bool simple, bool multiline,
 		   store_manager *mgr) const
 {
   /* Sort into some deterministic order.  */
-  auto_vec<const region2 *> base_regions;
+  auto_vec<const region *> base_regions;
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
+      const region *base_reg = (*iter).first;
       base_regions.safe_push (base_reg);
     }
-  base_regions.qsort (region2::cmp_ptrs);
+  base_regions.qsort (region::cmp_ptrs);
 
   /* Gather clusters, organize by parent region, so that we can group
      together locals, globals, etc.  */
-  auto_vec<const region2 *> parent_regions;
+  auto_vec<const region *> parent_regions;
   get_sorted_parent_regions (&parent_regions, base_regions);
 
-  const region2 *parent_reg;
+  const region *parent_reg;
   unsigned i;
   FOR_EACH_VEC_ELT (parent_regions, i, parent_reg)
     {
@@ -1240,21 +1240,21 @@ store::dump_to_pp (pretty_printer *pp, bool simple, bool multiline,
       else
 	pp_string (pp, " {");
 
-      const region2 *base_reg;
+      const region *base_reg;
       unsigned j;
       FOR_EACH_VEC_ELT (base_regions, j, base_reg)
 	{
 	  /* This is O(N * M), but N ought to be small.  */
 	  if (base_reg->get_parent_region () != parent_reg)
 	    continue;
-	  binding_cluster2 *cluster
+	  binding_cluster *cluster
 	    = *const_cast<cluster_map_t &> (m_cluster_map).get (base_reg);
 	  if (!multiline)
 	    {
 	      if (j > 0)
 		pp_string (pp, ", ");
 	    }
-	  if (const svalue2 *sval = cluster->maybe_get_simple_value (mgr))
+	  if (const svalue *sval = cluster->maybe_get_simple_value (mgr))
 	    {
 	      /* Special-case to simplify dumps for the common case where
 		 we just have one value directly bound to the whole of a
@@ -1332,21 +1332,21 @@ store::summarize_to_pp (pretty_printer *pp, bool simple) const
   // TODO
 #else
   /* Sort into some deterministic order.  */
-  auto_vec<const region2 *> base_regions;
+  auto_vec<const region *> base_regions;
   for (cluster_map_t::iterator iter = m_cluster_map.begin ();
        iter != m_cluster_map.end (); ++iter)
     {
-      const region2 *base_reg = (*iter).first;
+      const region *base_reg = (*iter).first;
       base_regions.safe_push (base_reg);
     }
-  base_regions.qsort (region2::cmp_ptrs);
+  base_regions.qsort (region::cmp_ptrs);
 
   /* Gather clusters, organize by parent region, so that we can group
      together locals, globals, etc.  */
-  auto_vec<const region2 *> parent_regions;
+  auto_vec<const region *> parent_regions;
   get_sorted_parent_regions (&parent_regions, base_regions);
 
-  const region2 *parent_reg;
+  const region *parent_reg;
   unsigned i;
   FOR_EACH_VEC_ELT (parent_regions, i, parent_reg)
     {
@@ -1354,14 +1354,14 @@ store::summarize_to_pp (pretty_printer *pp, bool simple) const
       pp_string (pp, "clusters within ");
       parent_reg->dump_to_pp (pp, simple);
 
-      const region2 *base_reg;
+      const region *base_reg;
       unsigned j;
       FOR_EACH_VEC_ELT (base_regions, j, base_reg)
 	{
 	  /* This is O(N * M), but N ought to be small.  */
 	  if (base_reg->get_parent_region () != parent_reg)
 	    continue;
-	  binding_cluster2 *cluster
+	  binding_cluster *cluster
 	    = *const_cast<cluster_map_t &> (m_cluster_map).get (base_reg);
 	  if (multiline)
 	    {
@@ -1385,11 +1385,11 @@ store::summarize_to_pp (pretty_printer *pp, bool simple) const
 
 /* FIXME.  */
 
-const svalue2 *
-store::get_any_binding (store_manager *mgr, const region2 *reg) const
+const svalue *
+store::get_any_binding (store_manager *mgr, const region *reg) const
 {
-  const region2 *base_reg = reg->get_base_region ();
-  binding_cluster2 **cluster_slot
+  const region *base_reg = reg->get_base_region ();
+  binding_cluster **cluster_slot
     = const_cast <cluster_map_t &> (m_cluster_map).get (base_reg);
   if (!cluster_slot)
     return NULL;
@@ -1399,15 +1399,15 @@ store::get_any_binding (store_manager *mgr, const region2 *reg) const
 /* FIXME.  */
 
 void
-store::set_value (store_manager *mgr, const region2 *lhs_reg,
-		  const svalue2 *rhs_sval, enum binding_kind kind)
+store::set_value (store_manager *mgr, const region *lhs_reg,
+		  const svalue *rhs_sval, enum binding_kind kind)
 {
   remove_overlapping_bindings (mgr, lhs_reg);
 
   rhs_sval = simplify_for_binding (rhs_sval);
 
-  const region2 *lhs_base_reg = lhs_reg->get_base_region ();
-  binding_cluster2 *lhs_cluster;
+  const region *lhs_base_reg = lhs_reg->get_base_region ();
+  binding_cluster *lhs_cluster;
   if (lhs_base_reg->symbolic_for_unknown_ptr_p ())
     /* Reject attempting to bind values into a symbolic region
        for an unknown ptr; merely invalidate values below.  */
